Page MenuHomePhabricator

LiquidThreads page throws exception during conversion
Closed, ResolvedPublic

Description

On rEFLWf4ec65193e15: Localisation updates from https://translatewiki.net., I get an exception when converting a LiquidThreads page, though it seems to look right afterwards:

Maybe a slave lag issue, but unclear.

vagrant@mediawiki-vagrant:~$ mwscript extensions/Flow/maintenance/convertLqtPageOnLocalWiki.php --srcpage 'Wiki_talk:LQT_page_2' --logfile '/tmp/LQT_page_2_logfile.log'
[2016-09-23 00:55:37] Starting LQT conversion of page Wiki_talk:LQT_page_2
[2016-09-23 00:55:37] Archiving page from Wiki talk:LQT page 2 to Wiki talk:LQT page 2/LQT Archive 1
[2016-09-23 00:55:43] Importing to Wiki talk:LQT page 2
[2016-09-23 00:55:49] Importing header
[2016-09-23 00:55:50] Imported 2 revisions for header
[2016-09-23 00:55:50] Importing new topic
[2016-09-23 00:55:50] Finished importing topic title with 1 revisions
[2016-09-23 00:55:50] Importing post
[2016-09-23 00:55:50] Finished importing post with 1 revisions
[2016-09-23 00:55:50] Finished importing topic
[2016-09-23 00:56:08] Importing new topic
[2016-09-23 00:56:08] Finished importing topic title with 1 revisions
[2016-09-23 00:56:08] Importing post
[2016-09-23 00:56:08] Finished importing post with 1 revisions
[2016-09-23 00:56:08] Finished importing topic
[2016-09-23 00:56:25] Flow\Import\LiquidThreadsApi\ApiBackend::retrieveThreadData: Failed API call against local with conditions : {"thpage":"Wiki talk:LQT page 2\/LQT Archive 1","thstartid":8}
[2016-09-23 00:56:25] Exception while importing: Wiki talk:LQT page 2
[2016-09-23 00:56:25] exception 'Flow\Import\ImportException' with message 'Null response from API module:{"error":{"code":"internal_api_error_InvalidArgumentException","info":"Exception Caught: Database::makeList: empty input for field thread_parent"}}' in /vagrant/mediawiki/extensions/Flow/includes/Import/LiquidThreadsApi/Source.php:242
Stack trace:
#0 /vagrant/mediawiki/extensions/Flow/includes/Import/LiquidThreadsApi/CachedData.php(150): Flow\Import\LiquidThreadsApi\ApiBackend->retrieveThreadData(Array)
#1 /vagrant/mediawiki/extensions/Flow/includes/Import/LiquidThreadsApi/Iterators.php(127): Flow\Import\LiquidThreadsApi\CachedThreadData->getFromPage('Wiki talk:LQT p...', 8)
#2 /vagrant/mediawiki/extensions/Flow/includes/Import/LiquidThreadsApi/Iterators.php(102): Flow\Import\LiquidThreadsApi\TopicIterator->loadMore()
#3 /vagrant/mediawiki/extensions/Flow/includes/Import/Importer.php(604): Flow\Import\LiquidThreadsApi\TopicIterator->next()
#4 /vagrant/mediawiki/extensions/Flow/includes/Import/Importer.php(129): Flow\Import\TalkpageImportOperation->import(Object(Flow\Import\PageImportState))
#5 /vagrant/mediawiki/extensions/Flow/includes/Import/Converter.php(187): Flow\Import\Importer->import(Object(Flow\Import\LiquidThreadsApi\ImportSource), Object(Title), Object(Flow\Import\SourceStore\File))
#6 /vagrant/mediawiki/extensions/Flow/includes/Import/Converter.php(138): Flow\Import\Converter->doConversion(Object(Title), NULL)
#7 /vagrant/mediawiki/extensions/Flow/includes/Import/Converter.php(107): Flow\Import\Converter->convert(Object(Title))
#8 /vagrant/mediawiki/extensions/Flow/maintenance/convertLqtPageOnLocalWiki.php(79): Flow\Import\Converter->convertAll(Array)
#9 /vagrant/mediawiki/maintenance/doMaintenance.php(110): ConvertLqtPageOnLocalWiki->execute()
#10 /vagrant/mediawiki/extensions/Flow/maintenance/convertLqtPageOnLocalWiki.php(86): require_once('/vagrant/mediaw...')
#11 /var/www/w/MWScript.php(95): require_once('/vagrant/mediaw...')
#12 {main}
[2016-09-23 00:56:25] Finished LQT conversion of page Wiki_talk:LQT_page_2

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterUpdate expected error message

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 23 2016, 1:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jmatazzoni added a subscriber: jmatazzoni.

@Mattflaschen-WMF, Triage team judged this for Freezer, but there was some thought you need it for your ptwikibooks work? If so, resurrect it.

Looks like a straightforward fix, if it's what I think. isNotFoundError has a check for a certain error, and it looks like the class changed.

Change 457945 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Flow@master] Update expected error message

https://gerrit.wikimedia.org/r/457945

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 4 2018, 4:35 PM

Change 457945 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Update expected error message

https://gerrit.wikimedia.org/r/457945

Etonkovidova closed this task as Resolved.Sep 25 2018, 7:48 PM